#include "mg.h"
#include "mg_dim.h"

#define PSINV_DIM       PSINV_DIM_GPU
#define RESID_DIM       RESID_DIM_GPU
#define RPRJ3_DIM       RPRJ3_DIM_GPU
#define INTERP_1_DIM    INTERP_1_DIM_GPU
#define NORM2U3_DIM     NORM2U3_DIM_GPU
#define COMM3_1_DIM     COMM3_1_DIM_GPU
#define COMM3_2_DIM     COMM3_2_DIM_GPU
#define COMM3_3_DIM     COMM3_3_DIM_GPU
#define ZERO3_DIM       ZERO3_DIM_GPU

__kernel void kernel_zran3_3(__global double* oz,
							 int n1, int n2, int n3, int offset)
{
	int i1, i2, i3;
	i3 = get_global_id(0);
	i2 = get_global_id(1);
	i1 = get_global_id(2);
	if (i3 < n3 && i2 < n2 && i1 < n1) oz[i3*n2*n1+i2*n1+i1 + offset] = 0.0;
}


